Zu Hauptinhalt wechseln

Dieser Browser wird nicht mehr unterstützt.

Führen Sie ein Upgrade auf Microsoft Edge durch, um die neuesten Features, Sicherheitsupdates und den technischen Support zu nutzen.

Microsoft Edge herunterladen Weitere Informationen zu Internet Explorer und Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Abfrageparameter

api-version string Erforderlich

The API version to use for this operation.

Headerparameter

Foundry-Features enum Erforderlich

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Pfadparameter

name string Erforderlich

Name of the model.

version string Erforderlich

Version of the model.

Anforderungstext

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum Erforderlich

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Antworten

The request has succeeded.

Text

Content-Type: application/json
blobReference BlobReference Erforderlich

Blob reference details.

blobUri string Erforderlich

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string Erforderlich

ARM ID of the storage account to use.

credential SasCredential Erforderlich

SAS Credential definition

sasUri string Erforderlich

SAS uri

type enum Erforderlich

Type of credential

SAS
pendingUploadId string Erforderlich

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum Erforderlich

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Header

x-ms-error-code string

String error code indicating what went wrong.

Text

Content-Type: application/json
error Azure.Core.Foundations.Error Erforderlich

The error object.

code string Erforderlich

One of a server-defined set of error codes.

message string Erforderlich

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Header

x-ms-error-code string

String error code indicating what went wrong.

Text

Content-Type: application/json
error Azure.Core.Foundations.Error Erforderlich

The error object.

code string Erforderlich

One of a server-defined set of error codes.

message string Erforderlich

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Anfordern

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Antwort

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
de-de
Ihre Datenschutzoptionen
  • KI-Haftungsausschluss
  • Frühere Versionen
  • Blog
  • Mitwirken
  • Datenschutz
  • Consumer Health Privacy
  • Nutzungsbedingungen
  • Impressum
  • Marken
  • © Microsoft 2026